Subject: bug#71888: [PATCH] nnfeed: (Mostly) fix group descriptions

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Jul 2024 13:12:08 +0300

> From: Daniel Semyonov <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 03 Jul 2024 00:01:57 +0300
> 
> >>>>> Eli Zaretskii writes:
> 
>     >> Date: Tue, 02 Jul 2024 02:43:29 +0300
>     >> From:  Daniel Semyonov via "Bug reports for GNU Emacs,
>     >> the Swiss army knife of text editors" <[email-masked]>
>     >> 
>     >> I realized a few days ago I barely tested group descriptions in nnatom
>     >> (and by extension nnfeed), and turns out they were in fact broken.
>     >> Attached is a patch which should fix them.
> 
>     > Thanks, but please tell whether this is for the emacs-30 release
>     > branch or for master.  IOW, does the problem exist on emacs-30 or only
>     > on master?
> 
> Sorry, this problem exists on both emacs-30 and on master (it was
> unfortunately broken since nnfeed and nnatom were added to Emacs last
> year).

Thanks, so I've now installed the patch on the emacs-30 release
branch.

> I'm currently going over nnfeed and nnatom when I have free time to
> hopefully find any issues I missed before Emacs 30 is released (as it
> will be the first stable release to include them).

So I'm not yet closing this bug, given that you say there's more to be
done here.

Thanks.